Method: projects.locations.collections.exportDataObjects

启动长时间运行的操作,以从集合中导出 DataObject。

HTTP 请求

POST https://vectorsearch.googleapis.com/v1beta/{name}:exportDataObjects

路径参数

参数
name

string

必需。我们要从中导出数据对象的集合的资源名称。格式:projects/{project}/locations/{location}/collections/{collection}

请求正文

请求正文中包含结构如下的数据:

JSON 表示法
{

  // Union field destination can be only one of the following:
  "gcsDestination": {
    object (GcsExportDestination)
  }
  // End of list of possible types for union field destination.
}
字段
联合字段 destination。导出数据的配置。destination 只能是下列其中一项:
gcsDestination

object (GcsExportDestination)

用户要将数据对象导出到的 Cloud Storage 位置。

响应正文

如果成功,则响应正文包含一个 Operation 实例。

授权范围

需要以下 OAuth 范围:

  • https://www.googleapis.com/auth/cloud-platform

如需了解详情,请参阅 Authentication Overview

IAM 权限

需要拥有 name 资源的以下 IAM 权限:

  • vectorsearch.dataObjects.export

如需了解详情,请参阅 IAM 文档

GcsExportDestination

导出的 Google Cloud Storage 配置。

JSON 表示法
{
  "exportUri": string,
  "format": enum (Format)
}
字段
exportUri

string

必需。要将数据对象导出到的 Cloud Storage 的 URI 前缀。存储桶必须与集合位于同一区域。

format

enum (Format)

必需。导出的数据对象的格式。

格式

导出数据对象的格式选项。

枚举
FORMAT_UNSPECIFIED 未指定格式。
JSON

已废弃:以 JSON 格式导出数据对象。请改用 JSONL

JSONL JSONL 格式导出数据对象。